UP = '1'
DOWN = '3'
RIGHT = '2'
LEFT = '4'
EXIT = '5'

game_manual = '1.↑\t2.→\t3.↓\t4.←\t5.exit'

game_map = [
    ['Y', '#', '#', '#'],
    [' ', '#', '#', '#'],
    [' ', '#', '#', '#'],
    [' ', ' ', ' ', 'G'],
]


your_pos = [0, 0]
goal_pos = [3, 3]


def show():
    print(game_manual)  # 操作説明の表示
    # マップの表示
    for line in game_map:
        print(''.join(line))


def update(command):
    # 現在のYの座標
    y, x = your_pos

    # 移動先の座標を求める
    if command == UP:
        y -= 1
    elif command == RIGHT:
        x += 1
    elif command == DOWN:
        y += 1
    elif command == LEFT:
        x -= 1

    # 画面外でなく、壁('#')でもない場合に移動処理をする
    if 0 <= x <= 3 and 0 <= y <= 3 and game_map[y][x] != '#':
        # 元いた位置に' 'を入れる
        old_y, old_x = your_pos
        game_map[old_y][old_x] = ' '

        # 移動先に'Y'を入れる
        game_map[y][x] = 'Y'

        # 現在座標の変数を更新
        your_pos[:] = [y, x]


def main():
    while True:
        show()  # 画面を表示する
        command = input()  # 入力を受け付ける
        # 終了キーならば終了
        if command == EXIT:
            break
        # 移動キーならば、更新処理
        elif command in (UP, DOWN, RIGHT, LEFT):
            update(command)


if __name__ == '__main__':
    main()
